Bug 103345 - gstreamer is doing apparently stupid things
gstreamer is doing apparently stupid things
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux Beta
Classification: Retired
Component: gstreamer (Show other bugs)
beta1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Colin Walters
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-28 23:07 EDT by Bill Nottingham
Modified: 2014-03-16 22:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-29 17:20:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2003-08-28 23:07:13 EDT
From an strace:

open("/usr/lib/gstreamer-0.6", O_RDONLY|O_NONBLOCK|O_LARGEFILE|O_DIRECTORY) = 16

Ok, makes sense.

open("/usr/lib/gstreamer-0.6/libgstbasicomegascheduler.so",
O_RDONLY|O_NONBLOCK|O_LARGEFILE|O_DIRECTORY) = -1 ENOTDIR (Not a directory)
open("/usr/lib/gstreamer-0.6/libgstautoplugcache.so",
O_RDONLY|O_NONBLOCK|O_LARGEFILE|O_DIRECTORY) = -1 ENOTDIR (Not a directory)
open("/usr/lib/gstreamer-0.6/libgstautoplugger.so",
O_RDONLY|O_NONBLOCK|O_LARGEFILE|O_DIRECTORY) = -1 ENOTDIR (Not a directory)
open("/usr/lib/gstreamer-0.6/libgstbasicwingoscheduler.so",
O_RDONLY|O_NONBLOCK|O_LARGEFILE|O_DIRECTORY) = -1 ENOTDIR (Not a directory)
open("/usr/lib/gstreamer-0.6/libgstbytestream.so",
O_RDONLY|O_NONBLOCK|O_LARGEFILE|O_DIRECTORY) = -1 ENOTDIR (Not a directory)
open("/usr/lib/gstreamer-0.6/libgstelements.so",
O_RDONLY|O_NONBLOCK|O_LARGEFILE|O_DIRECTORY) = -1 ENOTDIR (Not a directory)
open("/usr/lib/gstreamer-0.6/libgstgetbits.so",
O_RDONLY|O_NONBLOCK|O_LARGEFILE|O_DIRECTORY) = -1 ENOTDIR (Not a directory)
open("/usr/lib/gstreamer-0.6/libgstindexers.so",
O_RDONLY|O_NONBLOCK|O_LARGEFILE|O_DIRECTORY) = -1 ENOTDIR (Not a directory)
open("/usr/lib/gstreamer-0.6/libgstoptomegascheduler.so",
O_RDONLY|O_NONBLOCK|O_LARGEFILE|O_DIRECTORY) = -1 ENOTDIR (Not a directory)
open("/usr/lib/gstreamer-0.6/libgstoptscheduler.so",
O_RDONLY|O_NONBLOCK|O_LARGEFILE|O_DIRECTORY) = -1 ENOTDIR (Not a directory)
open("/usr/lib/gstreamer-0.6/libgstoptwingoscheduler.so",
O_RDONLY|O_NONBLOCK|O_LARGEFILE|O_DIRECTORY) = -1 ENOTDIR (Not a directory)
open("/usr/lib/gstreamer-0.6/libgstputbits.so",
O_RDONLY|O_NONBLOCK|O_LARGEFILE|O_DIRECTORY) = -1 ENOTDIR (Not a directory)
open("/usr/lib/gstreamer-0.6/libgstspider.so",
O_RDONLY|O_NONBLOCK|O_LARGEFILE|O_DIRECTORY) = -1 ENOTDIR (Not a directory)
open("/usr/lib/gstreamer-0.6/libgststaticautoplug.so",
O_RDONLY|O_NONBLOCK|O_LARGEFILE|O_DIRECTORY) = -1 ENOTDIR (Not a directory)
open("/usr/lib/gstreamer-0.6/libgststaticautoplugrender.so",
O_RDONLY|O_NONBLOCK|O_LARGEFILE|O_DIRECTORY) = -1 ENOTDIR (Not a directory)
open("/usr/lib/gstreamer-0.6/libgsttypes.so",
O_RDONLY|O_NONBLOCK|O_LARGEFILE|O_DIRECTORY) = -1 ENOTDIR (Not a directory)
open("/usr/lib/gstreamer-0.6/libgst1394.so",
O_RDONLY|O_NONBLOCK|O_LARGEFILE|O_DIRECTORY) = -1 ENOTDIR (Not a directory)

For every single file in the directory.

I'm sure there's a reason for this. Right?
Comment 1 Bill Nottingham 2003-08-28 23:25:55 EDT
static gboolean
plugin_times_older_than_recurse(gchar *path, time_t regtime)
{
...

/me mutters 'ftw'...
Comment 2 Colin Walters 2004-03-29 17:20:27 EST
I fixed this upstream, and added the patch to gstreamer-0.8.0-3.

Note You need to log in before you can comment on or make changes to this bug.